Subject: Re: linux-next: manual merge of the audit tree

From: David Howells <[email-masked]>
Date: Wed, 10 Dec 2008 18:58:29 +0000

Stephen Rothwell <[email-masked]> wrote:

> Today's linux-next merge of the audit tree got a lot of conflict in
> include/linux/audit.h, kernel/auditsc.c, kernel/capability.c and
> security/commoncap.c against commits in the security-testing tree.
> 
> Its not obvious how to resolve these, so can you, Eric, James and Dave
> have a conversation and see what you can come up with.  Some will be
> easy, but there are several overlapping changes here.
> 
> Looking harder, it looks like some (all?) of Eric's patches may already
> be in the security-testing tree ...
> 
> I have dropped the audit tree for today.

I've looked at all the conflicting bits, and I think you should take what's in
the security tree over what's in Al's tree for all of them.  I think the
security tree already has everything that Al's tree applies in the conflicting
areas, it's just that the security tree has further changes parked on top.

David